import { useSelector } from 'react-redux'
import SearchList from './SearchList'
import CredentialsList from './CredentialsList'
import EditBar from './EditBar'
import { getRightIsOpen } from '../../../../redux/control/selector'


const RightListsAndBars = () => {
  const rightIsOpen = useSelector(getRightIsOpen)
  return (
    <>
      {rightIsOpen === 'credentials' && <CredentialsList />}
      {rightIsOpen === 'search' && <SearchList />}
      {rightIsOpen === 'edit' && <EditBar/>}
    </>
   )
}

export default RightListsAndBars